跳转到内容

Tripo P2 Image to 3D

集成

模型 id tripo3d/p2/image-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $1.10 1,100 API 积分 · ≈ ₽118.34 运行前会测量你的文件 在此页面运行

获取 API 密钥
Tripo 图像转 3D #3d#image-to-3d#3d-generation#low-poly

图像到 3D,支持 PBR、四边形拓扑、四种纹理质量级别和纹理版本选择

Tripo · 3D

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 image_url
拖放文件,或

用于创建 3D 模型的输入图像 URL。

texture_quality 默认 standard

纹理的质量设置。

高级 texture_version · export_orientation · face_limit · model_seed · texture_seed · delight · auto_size · export_uv · quad · enable_safety_checker
texture_version

纹理建模所使用的版本。要获得快速质量,请选择 v3.5-20260815;其他版本不支持该质量设置。

export_orientation

指定时,用于模型导出的前向轴设置。

网格面数上限;四边形拓扑另有 25,000 的上限。

用于使几何体生成可复现的种子。

用于使纹理生成可复现的种子。

POST /run/tripo3d/p2/image-to-3d?wait=20 报价 → $1.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Tripo P2 Image to 3D

将 `image_url` 中的一张图像转换为最多 50,000 个面的 3D 模型(四边形网格最多 25,000 个面)。纹理质量可选择 fast、standard、detailed 或 extreme,`texture_version` 用于选择纹理模型。其他选项包括 PBR 贴图、去光照、UV 导出、自动调整尺寸和导出前轴(`export_orientation`)。几何体和纹理分别使用独立种子控制。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
用于创建 3D 模型的输入图像 URL。
face_limit可选
类型integer | null
48 – 50,000
网格面数上限;四边形拓扑另有 25,000 的上限。
texture可选
类型boolean
默认值true
控制模型是否接收生成的纹理。
pbr可选
类型boolean
默认值true
控制 PBR 材质贴图的生成。启用 PBR 也会激活纹理。
model_seed可选
类型integer | null
用于使几何体生成可复现的种子。
texture_seed可选
类型integer | null
用于使纹理生成可复现的种子。
texture_quality可选
类型enum
默认值standard
faststandarddetailedextreme
纹理的质量设置。
texture_version可选
类型enum
v3.5-20260815v3.0-20250812v2.5-20250123
纹理建模所使用的版本。要获得快速质量,请选择 v3.5-20260815;其他版本不支持该质量设置。
delight可选
类型boolean
默认值true
使用 v3.5-20260815 进行纹理处理前移除预烘焙光照。
auto_size可选
类型boolean
默认值false
自动缩放,使模型获得以米为单位测量的真实世界尺寸。
export_uv可选
类型boolean
默认值true
控制模型是否接收生成的 UV 坐标。
export_orientation可选
类型enum
+x-x-y+y
指定时,用于模型导出的前向轴设置。
quad可选
类型boolean
默认值false
使用四边形而非三角形的网格拓扑。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/p2/image-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1100,
    "usd": "1.10",
    "charged": 1100,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
model_mesh
object {url, content_type, file_name, file_size}包含生成的 3D 模型的 GLB 或 FBX 文件,格式取决于 Tripo 生成的内容。
model_urls
object {glb, fbx, base_model, pbr_model}指向 3D 模型其他版本的 URL。
rendered_image
object {url, content_type, file_name, file_size} | null显示生成的 3D 模型的渲染预览。
task_id
string | null用于标识生成模型的可复用 Tripo 任务 ID,可在不再次上传模型的情况下执行 rig 或 rig-check 操作。

更多模型:图像转 3D

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/tripo3d/p2/image-to-3d.md. 所有模型和指南: https://doitong.com/developers/llms.txt